This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 188204 - Review Request: crystal-stacker - Falling blocks, match 3 or more of the same color crystals
Review Request: crystal-stacker - Falling blocks, match 3 or more of the same...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wart
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-06 18:29 EDT by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-09 03:44:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-04-06 18:29:43 EDT
Spec Name or Url: http://home.zonnet.nl/jwrdegoede/crystal-stacker.spec
SRPM Name or Url: http://home.zonnet.nl/jwrdegoede/crystal-stacker-1.5-0.pre.1.src.rpm
Description:
If you've played Columns then you know what Crystal Stacker is all about. Match
3 or more of the same color crystals either horizontally, vertically, or dia-
gonally to destroy them. For every 45 crystals you destroy, the level increases
and the crystals fall faster. The higher the level, the more points you are
awarded for destroying crystals.
Comment 1 Hans de Goede 2006-04-07 05:36:41 EDT
New version which doesn't pause the music when selecting a new theme (not needed
under Unix because we use threads):
Spec Name or Url: http://home.zonnet.nl/jwrdegoede/crystal-stacker.spec
SRPM Name or Url:
http://home.zonnet.nl/jwrdegoede/crystal-stacker-1.5-0.pre.2.src.rpm

Comment 2 Wart 2006-04-07 17:33:57 EDT
The theme editor fails to run.  It opens up a dialog that says "Editor not
installed correctly"
Comment 3 Hans de Goede 2006-04-08 02:18:02 EDT
Thats strange it works fine over here, can you do a strace on it for me?
Comment 4 Hans de Goede 2006-04-08 02:25:34 EDT
Hmm, I really can't find anything that explains this, can you see if:
/usr/share/crystal-stacker/ce.dat is in place? It is in the specfile so it
should be.
Comment 5 Wart 2006-04-08 11:49:37 EDT
This file is in place, but it's not the file that the theme editor is looking
for.  strace shows that it's looking for this file in the original
RPM_BUILD_ROOT location:

stat64("/var/tmp/crystal-stacker-1.5-0.pre.2-root-wart/usr/share/crystal-stacker/ce.dat",
0xbfe08650) = -1 ENOENT (No such file or directory)
Comment 6 Hans de Goede 2006-04-08 13:34:38 EDT
Hmm,

That is most likely because the C-file involved got compiled (again) during make
install where PREFIX is set to $RPM_BUILD_ROOT%{_prefix} so I smell a time skew
problem here, are you using a network filesystem or maybe a filesystem with low
res timestamps or running some kinda time sync software?

Anyways try a rebuild that should fix it.
Comment 7 Wart 2006-04-08 17:51:20 EDT
Yep, the clock in my build machine was behind by several days.  Once I reset it
then the packages were fine.  Here's the full review:

MUST
====

* rpmlint output clean
* spec file named appropriately
* source matches upstream
  d961dfdc859267b2763f4b585a732f3e  cs15src.zip
* License (freeware) ok, license file included, license change discussion
  (to remove non-commercial use clause) included and ok.
* No excessive BR:
* Compiles, builds, and runs on FC-5 i386
* No locales
* No shared libraries
* No -devel package
* No libtool archives
* .desktop file included and installed correctly
* Scriptlets are sane
* Owns directories that it creates
* Contains code and acceptable content

APPROVED
Comment 8 Hans de Goede 2006-04-09 03:44:21 EDT
Thanks, imported and build.

Note You need to log in before you can comment on or make changes to this bug.